Deletes entire content of the user cache

- « wincache_ucache_cas

- wincache_ucache_dec »

- PHP Manual
- WinCache Functions
- Deletes entire content of the user cache

# wincache_ucache_clear

(PECL wincache >= 1.1.0)

wincache_ucache_clear — Deletes entire content of the user cache

### Description

wincache_ucache_clear(): bool

Clears/deletes all the values stored in the user cache.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 using wincache_ucache_clear()

    <?phpwincache_ucache_set('green', 1);wincache_ucache_set('red', 2);wincache_ucache_set('orange', 4);wincache_ucache_set('blue', 8);wincache_ucache_set('cyan', 16);$array1 = array('green', 'red', 'orange', 'blue', 'cyan');var_dump(wincache_ucache_get($array1));var_dump(wincache_ucache_clear());var_dump(wincache_ucache_get($array1));?>

The above example will output:

    array(5) { ["green"]=> int(1)
               ["red"]=> int(2)
               ["orange"]=> int(4)
               ["blue"]=> int(8)
               ["cyan"]=> int(16) }
    bool(true)
    bool(false)

### See Also

- wincache_ucache_set() - Adds a variable in user cache and overwrites a variable if it already exists in the cache
- wincache_ucache_add() - Adds a variable in user cache only if variable does not already exist in the cache
- wincache_ucache_delete() - Deletes variables from the user cache
- wincache_ucache_get() - Gets a variable stored in the user cache
- wincache_ucache_exists() - Checks if a variable exists in the user cache
- wincache_ucache_meminfo() - Retrieves information about user cache memory usage
- wincache_ucache_info() - Retrieves information about data stored in the user cache